Skip to main content
GET
/
configs
Error
A valid request URL is required to generate request examples
{
  "pageKey": "<string>",
  "response": [
    {
      "id": {
        "hex": "<string>",
        "base58": "<string>"
      },
      "users": [
        {
          "id": "<string>",
          "weight": "<string>"
        }
      ],
      "charities": [
        {
          "id": "<string>",
          "slug": "<string>",
          "name": "<string>",
          "logo": "<string>",
          "website": "<string>",
          "address": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "zipCode": "<string>",
          "taxId": "<string>",
          "socials": {
            "blog": "<string>",
            "twitter": "<string>",
            "facebook": "<string>",
            "instagram": "<string>",
            "linkedin": "<string>",
            "youtube": "<string>"
          },
          "isEnabled": true,
          "isVerified": true,
          "weight": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.donate.gg/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

donate-api-key
string
header
required

Developer API key. Required for all requests. Obtain from the Donate dashboard.

Headers

donate-api-key
string
required

Developer API key

Minimum string length: 1

Query Parameters

limit
integer

Page size (default 1, max 200)

Required range: 1 <= x <= 200
cursor
string

Cursor for next page (from previous pageKey)

Response

Paginated list of configs with user and charity beneficiaries.

pageKey
string | null
required
response
object[]
required